> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/listcrosssellcategories.md).

# Lists all cross sell categories (based on params provided)

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/crosssellcategory-api/crosssellcategory/listcrosssellcategories) in the new Integration APIs space of our documentation.
{% endhint %}

## GET /v2/cross-sell-categories

> Lists all cross sell categories (based on params provided)

```json
{"openapi":"3.0.0","info":{"title":"CrossSellCategory API","version":"v2"},"tags":[],"servers":[{"url":"https://catalog.citrusad.com"}],"security":[{"TokenSecurity":[]}],"components":{"securitySchemes":{"TokenSecurity":{"description":"For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"v2ListCrossSellCategoriesResponse":{"properties":{"crossSellCategories":{"description":"The list of cross sell categories based on provided criteria.","items":{"$ref":"#/components/schemas/v2CrossSellCategory"},"type":"array"},"nextPageToken":{"description":"The page token for requesting the next page of the pagination. Should be used as \"pageToken\" in the request","type":"string"},"totalCount":{"description":"The total number of cross sell categories that match provided criteria.","format":"int64","type":"string"}},"type":"object"},"v2CrossSellCategory":{"properties":{"catalogId":{"description":"The unique identifier of the retailer's catalog.","type":"string"},"category":{"description":"The category within the catalog.","type":"string"},"crossSellCategory":{"description":"The category to cross sell into.","type":"string"},"id":{"readOnly":true,"type":"string"}},"type":"object"},"rpcStatus":{"properties":{"code":{"format":"int32","type":"integer"},"details":{"items":{"$ref":"#/components/schemas/protobufAny"},"type":"array"},"message":{"type":"string"}},"type":"object"},"protobufAny":{"properties":{"typeUrl":{"type":"string"},"value":{"format":"byte","type":"string"}},"type":"object"}}},"paths":{"/v2/cross-sell-categories":{"get":{"operationId":"listCrossSellCategories","parameters":[{"description":"Page token used for pagination. Send this value in subsequent requests.","in":"query","name":"pageToken","required":false,"schema":{"type":"string"}},{"description":"The number of cross sell categories you are requesting per page.","in":"query","name":"pageSize","required":false,"schema":{"default":"20","format":"int64","type":"string"}},{"description":"Used to filter by a specific catalog.","in":"query","name":"catalogId","required":false,"schema":{"type":"string"}},{"description":"Used to filter by a specific category.","in":"query","name":"category","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v2ListCrossSellCategoriesResponse"}}},"description":"A list of cross sell categories and a pagination token."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"There was a problem with input."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Login failed or token not valid."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Login failed or token not valid."},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"An unexpected error response."}},"summary":"Lists all cross sell categories (based on params provided)","tags":["crossSellCategory"]}}}}
```
